-- Peferences Controller.applescript
-- Parsley is Atomically Delicious

--  Created by James Huston on 4/7/06.
--  Copyright 2006 __MyCompanyName__. All rights reserved.

on clicked theObject
	if name of theObject is "but-closeprefs" then
		close panel (window of theObject) -- close the prefs
	else if name of theObject is "but-help" then -- display the Read Me help file
		set help_path to path to resource "Read Me.rtfd" -- set the path to the help file
		tell application "System Events" to open help_path -- open the help file using System Events
	else if name of theObject is "but-batch" then -- set the UI when batch editing is selected
		if state of theObject is 1 then -- is we set beatch editing disable all title fields
			set enabled of text field "tf-title" of view of tab view item "tv-tvshow" of tab view "tab-type" of window "win-main" to false
			set enabled of text field "tf-movietitle" of view of tab view item "tv-movie" of tab view "tab-type" of window "win-main" to false
			set enabled of text field "tf-mvtitle" of view of tab view item "tv-musicvideo" of tab view "tab-type" of window "win-main" to false
		else if state of theObject is 0 then -- if we turn of batch editing turn on all title fields
			set enabled of text field "tf-title" of view of tab view item "tv-tvshow" of tab view "tab-type" of window "win-main" to true
			set enabled of text field "tf-movietitle" of view of tab view item "tv-movie" of tab view "tab-type" of window "win-main" to true
			set enabled of text field "tf-mvtitle" of view of tab view item "tv-musicvideo" of tab view "tab-type" of window "win-main" to true
		end if
	else if name of theObject is "but-music" then -- set the preference to apply to music fields when editing a TV Show
		set contents of default entry "ApplyMusic" of user defaults to state of theObject
	else if name of theObject is "but-deldata" then -- set the preference to delete data from blank fields
		set contents of default entry "DeleteExisting" of user defaults to state of theObject
	else if name of theObject is "but-episodenum" then -- set the prefrence to derive an Episode # when ediitng a TV Show
		set contents of default entry "DeriveEpisodeNum" of user defaults to state of theObject
	else if name of theObject is "but-sheet" then -- set the prefrence to derive an Episode # when ediitng a TV Show
		set contents of default entry "ShowSheet" of user defaults to state of theObject
	else if name of theObject is "but-overwrite" then -- set the preference to replace the original file
		set contents of default entry "OverwriteOriginal" of user defaults to state of theObject
	else if name of theObject is "but-debug" then -- set the preference to replace the original file
		set contents of default entry "doDebug" of user defaults to state of theObject
	else if name of theObject is "but-rename" then -- set the preference to replace the original file
		set contents of default entry "RenameFile" of user defaults to state of theObject
		set enabled of button "but-renepnum" of window "win-prefs" to state of theObject
	else if name of theObject is "but-renepnum" then -- set the preference to replace the original file
		set contents of default entry "RenameFileUseEpNum" of user defaults to state of theObject
	else if name of theObject is "but-checkupdates" then -- set the preference to replace the original file
		set contents of default entry "SUCheckAtStartup" of user defaults to state of theObject
	end if
end clicked
